> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get quote products

GET https://www.okx.com/api/v5/rfq/maker-instrument-settings

Retrieve the products (instrument families and instruments) that the market maker is currently configured to quote on.

Reference: https://okx-demo.ferndocs.com/api/api-reference/block-trading/get-quote-products

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5RfqMakerInstrumentSettingsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5RfqMakerInstrumentSettingsGetResponsesContentApplicationJsonSchemaDataItems

- `instType` (string, optional) — Instrument type.
- `includeALL` (boolean, optional) — Whether all instruments of this instType are included.
- `data` (list of ApiV5RfqMakerInstrumentSettingsGetResponsesContentApplicationJsonSchemaDataItemsDataItems, optional) — Configured instrument settings.

### ApiV5RfqMakerInstrumentSettingsGetResponsesContentApplicationJsonSchemaDataItemsDataItems

- `uly` (string, optional) — Underlying.
- `instId` (string, optional) — Instrument ID.
- `maxBlockSz` (string, optional) — Maximum block size the maker is willing to quote.
- `makerPxBand` (string, optional) — Maker price band in ticks.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "instType": "OPTION",
      "data": [
        {
          "maxBlockSz": "10000",
          "makerPxBand": "5",
          "instFamily": "BTC-USD"
        },
        {
          "maxBlockSz": "100000",
          "makerPxBand": "15",
          "instFamily": "SOL-USD"
        }
      ],
      "includeAll": true
    },
    {
      "instType": "FUTURES",
      "data": [
        {
          "maxBlockSz": "10000",
          "makerPxBand": "5",
          "instFamily": "BTC-USD"
        },
        {
          "maxBlockSz": "100000",
          "makerPxBand": "15",
          "instFamily": "ETH-USDT"
        }
      ],
      "includeAll": false
    },
    {
      "data": [
        {
          "maxBlockSz": "10000",
          "makerPxBand": "5",
          "instFamily": "BTC-USD"
        },
        {
          "instFamily": "ETH-USDT"
        }
      ],
      "includeAll": false,
      "instType:": "SWAP"
    },
    {
      "data": [
        {
          "instId": "BTC-USDT"
        },
        {
          "instId": "TRX-USDT"
        }
      ],
      "includeAll": false,
      "instType:": "SPOT"
    }
  ]
}
```

**SDK Code**

```python blockTrading_getQuoteProducts_example
import requests

url = "https://www.okx.com/api/v5/rfq/maker-instrument-settings"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript blockTrading_getQuoteProducts_example
const url = 'https://www.okx.com/api/v5/rfq/maker-instrument-settings';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go blockTrading_getQuoteProducts_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/rfq/maker-instrument-settings"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby blockTrading_getQuoteProducts_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/rfq/maker-instrument-settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java blockTrading_getQuoteProducts_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/rfq/maker-instrument-settings")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php blockTrading_getQuoteProducts_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/rfq/maker-instrument-settings', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp blockTrading_getQuoteProducts_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/rfq/maker-instrument-settings");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift blockTrading_getQuoteProducts_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/rfq/maker-instrument-settings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```